> ## Documentation Index
> Fetch the complete documentation index at: https://help.hoopai.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Post funnelsbuilderrestore version



## OpenAPI

````yaml /api-reference/funnels/openapi.json post /funnels/builder/restore-version
openapi: 3.0.0
info:
  title: Funnels API
  description: Documentation for funnels API
  version: '1.0'
  contact: {}
servers:
  - url: https://services.leadconnectorhq.com
security: []
tags:
  - name: Funnels
    description: Documentation for funnels API
  - name: Builder
    description: Documentation for funnels API
  - name: Products
    description: Documentation for funnels API
  - name: Prices
    description: Documentation for funnels API
  - name: Integrations
    description: Documentation for funnels API
paths:
  /funnels/builder/restore-version:
    post:
      tags:
        - Builder
      operationId: switchToOldVersion
      parameters: []
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/restoreVersionParams'
      responses:
        '201':
          description: ''
components:
  schemas:
    restoreVersionParams:
      type: object
      properties:
        pageId:
          type: string
        versionId:
          type: string
        userId:
          type: string
      required:
        - pageId
        - versionId
        - userId

````